Subject: Re: bug#35147: [PATCH 1/2] gnu: Add apsl2.0.

From: zimoun <[email-masked]>
Date: Thu, 07 Apr 2022 14:48:43 +0200

Hi,

This old submission [1] is not merged yet.

1: <http://issues.guix.gnu.org/issue/35147>

On Thu, 04 Apr 2019 at 18:57, Pierre Neidhardt <[email-masked]> wrote:

> I've got a weird issue with the Makefile:
>
> CFLAGS += -I$(PWD)/include -DDEBUG_BUILD=0 -D_FILE_OFFSET_BITS=64 -D LINUX=1 -D BSD=1 -D VERSION=\"$(VERSION)\"
>
> PWD is expanded to the parent directory of the current directory (what
> the hell?!?), I had to force it to the current directory for it to
> work.  Any clue what's going on?

Is it the blocker?

> It seems to work beside

I miss how it can work beside that.

What is the next step?  Especially about the addition of the Apple
license to the guix/licenses.scm file.

Do we drop this submission?  If not, what is missing for merging it?

Cheers,
simon